shinyServer(function(input, output) {
  
  ########################
  # read CSV file
  ########################
  #read csv file
  inFile = reactive({
    inFile1 = input$file1
    if (is.null(inFile1))
      return(NULL)
    df<- read.csv(inFile1$datapath, header=TRUE)
    return(df)
  })
  
  ########################
  # file quick look
  ########################
  observeEvent(inFile(), {
    output$quickLook = renderUI({
      panel(heading = "Data Quick Look",
            solidHeader = TRUE,
            DT::renderDataTable(data.frame(inFile()),
                class = "compact stripe hover row-border order-column",
                selection = "none",
                extensions = "Scroller",
                options=list(dom="tpli",
                    scrollY = "45vh",
                    scrollCollapse = FALSE,
                    deferRender = TRUE,
                    scroller = TRUE,
                    autoWidth = FALSE,
                    scrollX = TRUE
                )
            )
      )
      
    })
  })
})
