shinyUI(fluidPage(
    dashboardPage(
        dashboardHeader(title = "Psycho Scale Developer", disable = FALSE, titleWidth = "300px"),
        dashboardSidebar(
            disable = TRUE
        ),
        dashboardBody(
            navbarPage("Main Menus", id="mainTabs", selected = "dataUpload", 
                       tabPanel("Data Upload", value="dataUpload", icon = icon("file-upload"),
                                tags$head(tags$style(".progress-bar{background-color:#bcbcbc;}")),
                                fluidRow(
                                    column(width=12, align="center", br(),
                                         div("Please use 'header' in the first row", style="font-size:16px; color:red; font-weight:bold; margin-bottom: 1em;"),
                                         fileInput(inputId = "file1", label = tags$p("Choose CSV File", style="font-size:14px; margin-bottom: 0px;"),
                                             accept = c(".csv"),
                                             multiple = FALSE,
                                             width = "50%",
                                             buttonLabel = "Browse...",
                                             placeholder = "No file selected"
                                          )
                                           
                                    )
                                ), # end of fluidRow
                                fluidRow(
                                    column(width=10, offset=1, align="center", br(),
                                           uiOutput("quickLook")
                                    )
                                ) # end of fluidRow
                       ),
                       tabPanel(title = "Basic Stats", value="basicStats", icon = icon("line-chart"),
                                box(
                                    title = "Histogram",
                                    status = "primary",
                                    plotOutput("plot1", height = 200),
                                    height = 300
                                )
                       ),
                       tabPanel(title="Internal Consistency", value="internalConsistency", icon = icon("table")
                       ) 
       
            ) # end of navBarPage

        ) # end of dashboardBody
    )
))
